Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## waba.fx
Class Coord

    java.lang.Object
      |
      +--waba.fx.Coord

public final class Coord
extends Object

Coord is a coordinate with x and y values.

Field Summary
`int` | `x` x position
`int` | `y` y position

Constructor Summary
`Coord()` Constructs a coordinate with all args = 0.
`Coord(int x, int y)` Constructs a coordinate with the given x, y.

Method Summary
`boolean` | `equals(Object other)` Returns true if the coordinates of this Coord and the given one are the same
`int` | `height()` return's y. just to make sense in getSize like methods
`String` | `toString()` Returns the string representation of the object, that is full_class_name@internal_address_hex.
`void` | `translate(int dx, int dy)` Translates the current coordinate making x += dx and y += dy
`int` | `width()` return's x. just to make sense in getSize like methods

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, wait, wait`

Field Detail

### x

    public int x

  x position

### y

    public int y

  y position

Constructor Detail

### Coord

    public Coord()

  Constructs a coordinate with all args = 0.

### Coord

    public Coord(int x,
                 int y)

  Constructs a coordinate with the given x, y.

Method Detail

### translate

    public void translate(int dx,
                          int dy)

  Translates the current coordinate making x += dx and y += dy

### width

    public int width()

  return's x. just to make sense in getSize like methods

### height

    public int height()

  return's y. just to make sense in getSize like methods

### toString

    public String toString()

  Description copied from class: Object
  Returns the string representation of the object, that is full_class_name@internal_address_hex. Note that, differently from JDK, the package separator is / instead of .
  Overrides:
    toString in class Object

### equals

    public boolean equals(Object other)

  Returns true if the coordinates of this Coord and the given one are the same
  Overrides:
    equals in class Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD